### Enumeration

# Notify ClosedReason

since: 0.8.0

#### Declaration

    enum Notify.ClosedReason

#### Description [src]

The reason for which the notification has been closed.

Available since: 0.8.0

#### Members

`NOTIFY_CLOSED_REASON_UNSET`

  Notification not closed.

  - Value: `-1`
  - Available since: 0.8.0
`NOTIFY_CLOSED_REASON_EXPIRED`

  Timeout has expired.

  - Value: `1`
  - Available since: 0.8.0
`NOTIFY_CLOSED_REASON_DISMISSED`

  It has been dismissed by the user.

  - Value: `2`
  - Available since: 0.8.0
`NOTIFY_CLOSED_REASON_API_REQUEST`

  It has been closed by a call to `notify_notification_close()`.

  - Value: `3`
  - Available since: 0.8.0
`NOTIFY_CLOSED_REASON_UNDEFIEND`

  Closed by undefined/reserved reasons.

  - Value: `4`
  - Available since: 0.8.0